Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfName

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfName

All Implemented Interfaces:
  Comparable

    public class PdfName

extends PdfObject
implements Comparable

`PdfName` is an object that can be used as a name in a PDF-file.

A name, like a string, is a sequence of characters. It must begin with a slash followed by a sequence of ASCII characters in the range 32 through 136 except %, (, ), [, ], <, >, {, }, / and #. Any character except 0x00 may be included in a name by writing its twocharacter hex code, preceded by #. The maximum number of characters in a name is 127.
This object is described in the 'Portable Document Format Reference Manual version 1.7' section 3.2.4 (page 56-58).

See Also:
  `PdfObject`, `PdfDictionary`, `BadPdfFormatException`

Field Summary
`static PdfName` | `A` A name
`static PdfName` | `AA` A name
`static PdfName` | `ABSOLUTECALORIMETRIC` A name
`static PdfName` | `AC` A name
`static PdfName` | `ACROFORM` A name
`static PdfName` | `ACTION` A name
`static PdfName` | `ADBE_PKCS7_DETACHED` A name
`static PdfName` | `ADBE_PKCS7_S4` A name
`static PdfName` | `ADBE_PKCS7_S5` A name
`static PdfName` | `ADBE_PKCS7_SHA1` A name
`static PdfName` | `ADBE_X509_RSA_SHA1` A name
`static PdfName` | `ADOBE_PPKLITE` A name
`static PdfName` | `ADOBE_PPKMS` A name
`static PdfName` | `AESV2` A name
`static PdfName` | `AIS` A name
`static PdfName` | `ALLPAGES` A name
`static PdfName` | `ALT` A name
`static PdfName` | `ALTERNATE` A name
`static PdfName` | `ANNOT` A name
`static PdfName` | `ANNOTS` A name
`static PdfName` | `ANTIALIAS` A name
`static PdfName` | `AP` A name
`static PdfName` | `APPDEFAULT` A name
`static PdfName` | `ARTBOX` A name
`static PdfName` | `AS` A name
`static PdfName` | `ASCENT` A name
`static PdfName` | `ASCII85DECODE` A name
`static PdfName` | `ASCIIHEXDECODE` A name
`static PdfName` | `AUTHEVENT` A name
`static PdfName` | `AUTHOR` A name
`static PdfName` | `B` A name
`static PdfName` | `BASEENCODING` A name
`static PdfName` | `BASEFONT` A name
`static PdfName` | `BBOX` A name
`static PdfName` | `BC` A name
`static PdfName` | `BG` A name
`static PdfName` | `BIGFIVE` A name
`static PdfName` | `BITSPERCOMPONENT` A name
`static PdfName` | `BITSPERSAMPLE` A name
`static PdfName` | `BL` A name
`static PdfName` | `BLACKIS1` A name
`static PdfName` | `BLACKPOINT` A name
`static PdfName` | `BLEEDBOX` A name
`static PdfName` | `BLINDS` A name
`static PdfName` | `BM` A name
`static PdfName` | `BORDER` A name
`static PdfName` | `BOUNDS` A name
`static PdfName` | `BOX` A name
`static PdfName` | `BS` A name
`static PdfName` | `BTN` A name
`static PdfName` | `BYTERANGE` A name
`static PdfName` | `C` A name
`static PdfName` | `C0` A name
`static PdfName` | `C1` A name
`static PdfName` | `ca` A name
`static PdfName` | `CA` A name
`static PdfName` | `CALGRAY` A name
`static PdfName` | `CALRGB` A name
`static PdfName` | `CAPHEIGHT` A name
`static PdfName` | `CATALOG` A name
`static PdfName` | `CATEGORY` A name
`static PdfName` | `CCITTFAXDECODE` A name
`static PdfName` | `CENTERWINDOW` A name
`static PdfName` | `CERT` A name
`static PdfName` | `CF` A name
`static PdfName` | `CFM` A name
`static PdfName` | `CH` A name
`static PdfName` | `CHARPROCS` A name
`static PdfName` | `CI` A name
`static PdfName` | `CIDFONTTYPE0` A name
`static PdfName` | `CIDFONTTYPE2` A name
`static PdfName` | `CIDSET` A name
`static PdfName` | `CIDSYSTEMINFO` A name
`static PdfName` | `CIDTOGIDMAP` A name
`static PdfName` | `CIRCLE` A name
`static PdfName` | `CO` A name
`static PdfName` | `COLLECTION` A name
`static PdfName` | `COLLECTIONFIELD` A name
`static PdfName` | `COLLECTIONITEM` A name
`static PdfName` | `COLLECTIONSCHEMA` A name
`static PdfName` | `COLLECTIONSORT` A name
`static PdfName` | `COLLECTIONSUBITEM` A name
`static PdfName` | `COLORS` A name
`static PdfName` | `COLORSPACE` A name
`static PdfName` | `COLUMNS` A name
`static PdfName` | `CONTACTINFO` A name
`static PdfName` | `CONTENT` A name
`static PdfName` | `CONTENTS` A name
`static PdfName` | `COORDS` A name
`static PdfName` | `COUNT` A name
`static PdfName` | `COURIER` A name of a base 14 type 1 font
`static PdfName` | `COURIER_BOLD` A name of a base 14 type 1 font
`static PdfName` | `COURIER_BOLDOBLIQUE` A name of a base 14 type 1 font
`static PdfName` | `COURIER_OBLIQUE` A name of a base 14 type 1 font
`static PdfName` | `CREATIONDATE` A name
`static PdfName` | `CREATOR` A name
`static PdfName` | `CREATORINFO` A name
`static PdfName` | `CROPBOX` A name
`static PdfName` | `CRYPT` A name
`static PdfName` | `CS` A name
`static PdfName` | `D` A name
`static PdfName` | `DA` A name
`static PdfName` | `DATA` A name
`static PdfName` | `DC` A name
`static PdfName` | `DCTDECODE` A name
`static PdfName` | `DECODE` A name
`static PdfName` | `DECODEPARMS` A name
`static PdfName` | `DEFAULTCMYK` A name
`static PdfName` | `DEFAULTCRYPTFILER` A name
`static PdfName` | `DEFAULTGRAY` A name
`static PdfName` | `DEFAULTRGB` A name
`static PdfName` | `DESC` A name
`static PdfName` | `DESCENDANTFONTS` A name
`static PdfName` | `DESCENT` A name
`static PdfName` | `DEST` A name
`static PdfName` | `DESTOUTPUTPROFILE` A name
`static PdfName` | `DESTS` A name
`static PdfName` | `DEVICECMYK` A name
`static PdfName` | `DEVICEGRAY` A name
`static PdfName` | `DEVICERGB` A name
`static PdfName` | `DI` A name
`static PdfName` | `DIFFERENCES` A name
`static PdfName` | `DIRECTION` A name
`static PdfName` | `DISPLAYDOCTITLE` A name
`static PdfName` | `DISSOLVE` A name
`static PdfName` | `DIV` A name
`static PdfName` | `DM` A name
`static PdfName` | `DOCMDP` A name
`static PdfName` | `DOCOPEN` A name
`static PdfName` | `DOMAIN` A name
`static PdfName` | `DP` A name
`static PdfName` | `DR` A name
`static PdfName` | `DS` A name
`static PdfName` | `DUPLEX` A name
`static PdfName` | `DUPLEXFLIPLONGEDGE` A name
`static PdfName` | `DUPLEXFLIPSHORTEDGE` A name
`static PdfName` | `DUR` A name
`static PdfName` | `DV` A name
`static PdfName` | `DW` A name
`static PdfName` | `E` A name
`static PdfName` | `EARLYCHANGE` A name
`static PdfName` | `EF` A name
`static PdfName` | `EMBEDDEDFILE` A name
`static PdfName` | `EMBEDDEDFILES` A name
`static PdfName` | `ENCODE` A name
`static PdfName` | `ENCODEDBYTEALIGN` A name
`static PdfName` | `ENCODING` A name
`static PdfName` | `ENCRYPT` A name
`static PdfName` | `ENCRYPTMETADATA` A name
`static PdfName` | `ENDOFBLOCK` A name
`static PdfName` | `ENDOFLINE` A name
`static PdfName` | `EVENT` A name
`static PdfName` | `EXPORT` A name
`static PdfName` | `EXPORTSTATE` A name
`static PdfName` | `EXTEND` A name
`static PdfName` | `EXTGSTATE` A name
`static PdfName` | `F` A name
`static PdfName` | `FB` A name
`static PdfName` | `FDECODEPARMS` A name
`static PdfName` | `FDF` A name
`static PdfName` | `FF` A name
`static PdfName` | `FFILTER` A name
`static PdfName` | `FIELDS` A name
`static PdfName` | `FILEATTACHMENT` A name
`static PdfName` | `FILESPEC` A name
`static PdfName` | `FILTER` A name
`static PdfName` | `FIRST` A name
`static PdfName` | `FIRSTCHAR` A name
`static PdfName` | `FIRSTPAGE` A name
`static PdfName` | `FIT` A name
`static PdfName` | `FITB` A name
`static PdfName` | `FITBH` A name
`static PdfName` | `FITBV` A name
`static PdfName` | `FITH` A name
`static PdfName` | `FITR` A name
`static PdfName` | `FITV` A name
`static PdfName` | `FITWINDOW` A name
`static PdfName` | `FLAGS` A name
`static PdfName` | `FLATEDECODE` A name
`static PdfName` | `FO` A name
`static PdfName` | `FONT` A name
`static PdfName` | `FONTBBOX` A name
`static PdfName` | `FONTDESCRIPTOR` A name
`static PdfName` | `FONTFILE` A name
`static PdfName` | `FONTFILE2` A name
`static PdfName` | `FONTFILE3` A name
`static PdfName` | `FONTMATRIX` A name
`static PdfName` | `FONTNAME` A name
`static PdfName` | `FORM` A name
`static PdfName` | `FORMTYPE` A name
`static PdfName` | `FREETEXT` A name
`static PdfName` | `FRM` A name
`static PdfName` | `FS` A name
`static PdfName` | `FT` A name
`static PdfName` | `FULLSCREEN` A name
`static PdfName` | `FUNCTION` A name
`static PdfName` | `FUNCTIONS` A name
`static PdfName` | `FUNCTIONTYPE` A name
`static PdfName` | `GAMMA` A name of an attribute.
`static PdfName` | `GBK` A name of an attribute.
`static PdfName` | `GLITTER` A name of an attribute.
`static PdfName` | `GOTO` A name of an attribute.
`static PdfName` | `GOTOE` A name of an attribute.
`static PdfName` | `GOTOR` A name of an attribute.
`static PdfName` | `GROUP` A name of an attribute.
`static PdfName` | `GTS_PDFA1` A name of an attribute.
`static PdfName` | `GTS_PDFX` A name of an attribute.
`static PdfName` | `GTS_PDFXVERSION` A name of an attribute.
`static PdfName` | `H` A name of an attribute.
`private int` | `hash`
`static PdfName` | `HEIGHT` A name of an attribute.
`static PdfName` | `HELV` A name
`static PdfName` | `HELVETICA` A name of a base 14 type 1 font
`static PdfName` | `HELVETICA_BOLD` A name of a base 14 type 1 font
`static PdfName` | `HELVETICA_BOLDOBLIQUE` This is a static PdfName PdfName of a base 14 type 1 font
`static PdfName` | `HELVETICA_OBLIQUE` This is a static PdfName PdfName of a base 14 type 1 font
`static PdfName` | `HID` A name
`static PdfName` | `HIDE` A name
`static PdfName` | `HIDEMENUBAR` A name
`static PdfName` | `HIDETOOLBAR` A name
`static PdfName` | `HIDEWINDOWUI` A name
`static PdfName` | `HIGHLIGHT` A name
`static PdfName` | `I` A name
`static PdfName` | `ICCBASED` A name
`static PdfName` | `ID` A name
`static PdfName` | `IDENTITY` A name
`static PdfName` | `IF` A name
`static PdfName` | `IMAGE` A name
`static PdfName` | `IMAGEB` A name
`static PdfName` | `IMAGEC` A name
`static PdfName` | `IMAGEI` A name
`static PdfName` | `IMAGEMASK` A name
`static PdfName` | `IMPORTDATA` A name
`static PdfName` | `INDEX` A name
`static PdfName` | `INDEXED` A name
`static PdfName` | `INFO` A name
`static PdfName` | `INK` A name
`static PdfName` | `INKLIST` A name
`static PdfName` | `INTENT` A name
`static PdfName` | `INTERPOLATE` A name
`static PdfName` | `IRT` A name
`static PdfName` | `ISMAP` A name
`static PdfName` | `ITALICANGLE` A name
`static PdfName` | `IX` A name
`static PdfName` | `JAVASCRIPT` A name
`static PdfName` | `JPXDECODE` A name
`static PdfName` | `JS` A name
`static PdfName` | `K` A name
`static PdfName` | `KEYWORDS` A name
`static PdfName` | `KIDS` A name
`static PdfName` | `L` A name
`static PdfName` | `L2R` A name
`static PdfName` | `LANG` A name
`static PdfName` | `LANGUAGE` A name
`static PdfName` | `LAST` A name
`static PdfName` | `LASTCHAR` A name
`static PdfName` | `LASTPAGE` A name
`static PdfName` | `LAUNCH` A name
`static PdfName` | `LENGTH` A name
`static PdfName` | `LENGTH1` A name
`static PdfName` | `LIMITS` A name
`static PdfName` | `LINE` A name
`static PdfName` | `LINK` A name
`static PdfName` | `LISTMODE` A name
`static PdfName` | `LOCATION` A name
`static PdfName` | `LOCK` A name
`static PdfName` | `LZWDECODE` A name
`static PdfName` | `M` A name
`static PdfName` | `MAC_EXPERT_ENCODING` A name of an encoding
`static PdfName` | `MAC_ROMAN_ENCODING` A name of an encoding
`static PdfName` | `MARKED` A name
`static PdfName` | `MARKINFO` A name
`static PdfName` | `MASK` A name
`static PdfName` | `MATRIX` A name
`static PdfName` | `MAX` A name
`static PdfName` | `MAXLEN` A name
`static PdfName` | `MCID` A name
`static PdfName` | `MCR` A name
`static PdfName` | `MEDIABOX` A name
`static PdfName` | `METADATA` A name
`static PdfName` | `MIN` A name
`static PdfName` | `MK` A name
`static PdfName` | `MMTYPE1` A name
`static PdfName` | `MODDATE` A name
`static PdfName` | `N` A name
`static PdfName` | `N0` A name
`static PdfName` | `N1` A name
`static PdfName` | `N2` A name
`static PdfName` | `N3` A name
`static PdfName` | `N4` A name
`static PdfName` | `NAME` A name
`static PdfName` | `NAMED` A name
`static PdfName` | `NAMES` A name
`static PdfName` | `NEEDAPPEARANCES` A name
`static PdfName` | `NEWWINDOW` A name
`static PdfName` | `NEXT` A name
`static PdfName` | `NEXTPAGE` A name
`static PdfName` | `NM` A name
`static PdfName` | `NONE` A name
`static PdfName` | `NONFULLSCREENPAGEMODE` A name
`static PdfName` | `NUMCOPIES` A name
`static PdfName` | `NUMS` A name
`static PdfName` | `O` A name
`static PdfName` | `OBJSTM` A name
`static PdfName` | `OC` A name
`static PdfName` | `OCG` A name
`static PdfName` | `OCGS` A name
`static PdfName` | `OCMD` A name
`static PdfName` | `OCPROPERTIES` A name
`static PdfName` | `Off` A name
`static PdfName` | `OFF` A name
`static PdfName` | `ON` A name
`static PdfName` | `ONECOLUMN` A name
`static PdfName` | `op` A name
`static PdfName` | `OP` A name
`static PdfName` | `OPEN` A name
`static PdfName` | `OPENACTION` A name
`static PdfName` | `OPM` A name
`static PdfName` | `OPT` A name
`static PdfName` | `ORDER` A name
`static PdfName` | `ORDERING` A name
`static PdfName` | `OUTLINES` A name
`static PdfName` | `OUTPUTCONDITION` A name
`static PdfName` | `OUTPUTCONDITIONIDENTIFIER` A name
`static PdfName` | `OUTPUTINTENT` A name
`static PdfName` | `OUTPUTINTENTS` A name
`static PdfName` | `P` A name
`static PdfName` | `PAGE` A name
`static PdfName` | `PAGELABELS` A name
`static PdfName` | `PAGELAYOUT` A name
`static PdfName` | `PAGEMODE` A name
`static PdfName` | `PAGES` A name
`static PdfName` | `PAINTTYPE` A name
`static PdfName` | `PANOSE` A name
`static PdfName` | `PARAMS` A name
`static PdfName` | `PARENT` A name
`static PdfName` | `PARENTTREE` A name
`static PdfName` | `PATTERN` A name
`static PdfName` | `PATTERNTYPE` A name
`static PdfName` | `PDF` A name
`static PdfName` | `PDFDOCENCODING` A name
`static PdfName` | `PERCEPTUAL` A name
`static PdfName` | `PERMS` A name
`static PdfName` | `PG` A name
`static PdfName` | `PICKTRAYBYPDFSIZE` A name
`static PdfName` | `POPUP` A name
`static PdfName` | `PREDICTOR` A name
`static PdfName` | `PREFERRED` A name
`static PdfName` | `PRESERVERB` A name
`static PdfName` | `PREV` A name
`static PdfName` | `PREVPAGE` A name
`static PdfName` | `PRINT` A name
`static PdfName` | `PRINTAREA` A name
`static PdfName` | `PRINTCLIP` A name
`static PdfName` | `PRINTPAGERANGE` A name
`static PdfName` | `PRINTSCALING` A name
`static PdfName` | `PRINTSTATE` A name
`static PdfName` | `PROCSET` A name
`static PdfName` | `PRODUCER` A name
`static PdfName` | `PROPERTIES` A name
`static PdfName` | `PS` A name
`static PdfName` | `PUBSEC` A name
`static PdfName` | `Q` A name
`static PdfName` | `QUADPOINTS` A name
`static PdfName` | `R` A name
`static PdfName` | `R2L` A name
`static PdfName` | `RANGE` A name
`static PdfName` | `RBGROUPS` A name
`static PdfName` | `RC` A name
`static PdfName` | `REASON` A name
`static PdfName` | `RECIPIENTS` A name
`static PdfName` | `RECT` A name
`static PdfName` | `REFERENCE` A name
`static PdfName` | `REGISTRY` A name
`static PdfName` | `REGISTRYNAME` A name
`static PdfName` | `RELATIVECALORIMETRIC` A name
`static PdfName` | `RENDITION` A name
`static PdfName` | `RESETFORM` A name
`static PdfName` | `RESOURCES` A name
`static PdfName` | `RI` A name
`static PdfName` | `ROLEMAP` A name
`static PdfName` | `ROOT` A name
`static PdfName` | `ROTATE` A name
`static PdfName` | `ROWS` A name
`static PdfName` | `RUNLENGTHDECODE` A name
`static PdfName` | `RV` A name
`static PdfName` | `S` A name
`static PdfName` | `SATURATION` A name
`static PdfName` | `SCHEMA` A name
`static PdfName` | `SCREEN` A name
`static PdfName` | `SECT` A name
`static PdfName` | `SEPARATION` A name
`static PdfName` | `SETOCGSTATE` A name
`static PdfName` | `SHADING` A name
`static PdfName` | `SHADINGTYPE` A name
`static PdfName` | `SHIFT_JIS` A name
`static PdfName` | `SIG` A name
`static PdfName` | `SIGFLAGS` A name
`static PdfName` | `SIGREF` A name
`static PdfName` | `SIMPLEX` A name
`static PdfName` | `SINGLEPAGE` A name
`static PdfName` | `SIZE` A name
`static PdfName` | `SMASK` A name
`static PdfName` | `SORT` A name
`static PdfName` | `SPAN` A name
`static PdfName` | `SPLIT` A name
`static PdfName` | `SQUARE` A name
`static PdfName` | `ST` A name
`static PdfName` | `STAMP` A name
`static PdfName` | `STANDARD` A name
`static PdfName` | `STATE` A name
`static PdfName` | `STDCF` A name
`static PdfName` | `STEMV` A name
`static PdfName` | `STMF` A name
`static PdfName` | `STRF` A name
`static PdfName` | `STRIKEOUT` A name
`static PdfName` | `STRUCTPARENT` A name
`static PdfName` | `STRUCTPARENTS` A name
`static PdfName` | `STRUCTTREEROOT` A name
`static PdfName` | `STYLE` A name
`static PdfName` | `SUBFILTER` A name
`static PdfName` | `SUBJECT` A name
`static PdfName` | `SUBMITFORM` A name
`static PdfName` | `SUBTYPE` A name
`static PdfName` | `SUPPLEMENT` A name
`static PdfName` | `SV` A name
`static PdfName` | `SW` A name
`static PdfName` | `SYMBOL` A name of a base 14 type 1 font
`static PdfName` | `T` A name
`static PdfName` | `TEXT` A name
`static PdfName` | `THREADS` A name
`static PdfName` | `THUMB` A name
`static PdfName` | `TI` A name
`static PdfName` | `TILINGTYPE` A name
`static PdfName` | `TIMES_BOLD` A name of a base 14 type 1 font
`static PdfName` | `TIMES_BOLDITALIC` A name of a base 14 type 1 font
`static PdfName` | `TIMES_ITALIC` A name of a base 14 type 1 font
`static PdfName` | `TIMES_ROMAN` A name of a base 14 type 1 font
`static PdfName` | `TITLE` A name
`static PdfName` | `TK` A name
`static PdfName` | `TM` A name
`static PdfName` | `TOGGLE` A name
`static PdfName` | `TOUNICODE` A name
`static PdfName` | `TP` A name
`static PdfName` | `TRANS` A name
`static PdfName` | `TRANSFORMMETHOD` A name
`static PdfName` | `TRANSFORMPARAMS` A name
`static PdfName` | `TRANSPARENCY` A name
`static PdfName` | `TRAPPED` A name
`static PdfName` | `TRIMBOX` A name
`static PdfName` | `TRUETYPE` A name
`static PdfName` | `TU` A name
`static PdfName` | `TWOCOLUMNLEFT` A name
`static PdfName` | `TWOCOLUMNRIGHT` A name
`static PdfName` | `TWOPAGELEFT` A name
`static PdfName` | `TWOPAGERIGHT` A name
`static PdfName` | `TX` A name
`static PdfName` | `TYPE` A name
`static PdfName` | `TYPE0` A name
`static PdfName` | `TYPE1` A name
`static PdfName` | `TYPE3` A name of an attribute.
`static PdfName` | `U` A name of an attribute.
`static PdfName` | `UF` A name of an attribute.
`static PdfName` | `UHC` A name of an attribute.
`static PdfName` | `UNDERLINE` A name of an attribute.
`static PdfName` | `UR` A name
`static PdfName` | `UR3` A name
`static PdfName` | `URI` A name
`static PdfName` | `URL` A name
`static PdfName` | `USAGE` A name
`static PdfName` | `USEATTACHMENTS` A name
`static PdfName` | `USENONE` A name
`static PdfName` | `USEOC` A name
`static PdfName` | `USEOUTLINES` A name
`static PdfName` | `USER` A name
`static PdfName` | `USERPROPERTIES` A name
`static PdfName` | `USERUNIT` A name
`static PdfName` | `USETHUMBS` A name
`static PdfName` | `V` A name
`static PdfName` | `V2` A name
`static PdfName` | `VERISIGN_PPKVS` A name
`static PdfName` | `VERSION` A name
`static PdfName` | `VIEW` A name
`static PdfName` | `VIEWAREA` A name
`static PdfName` | `VIEWCLIP` A name
`static PdfName` | `VIEWERPREFERENCES` A name
`static PdfName` | `VIEWSTATE` A name
`static PdfName` | `VISIBLEPAGES` A name
`static PdfName` | `W` A name of an attribute.
`static PdfName` | `W2` A name of an attribute.
`static PdfName` | `WC` A name of an attribute.
`static PdfName` | `WHITEPOINT` A name
`static PdfName` | `WIDGET` A name of an attribute.
`static PdfName` | `WIDTH` A name of an attribute.
`static PdfName` | `WIDTHS` A name
`static PdfName` | `WIN` A name of an encoding
`static PdfName` | `WIN_ANSI_ENCODING` A name of an encoding
`static PdfName` | `WIPE` A name of an encoding
`static PdfName` | `WP` A name
`static PdfName` | `WS` A name of an encoding
`static PdfName` | `X` A name
`static PdfName` | `XFA` A name
`static PdfName` | `XML` A name
`static PdfName` | `XOBJECT` A name
`static PdfName` | `XREF` A name
`static PdfName` | `XREFSTM` A name
`static PdfName` | `XSTEP` A name
`static PdfName` | `XYZ` A name
`static PdfName` | `YSTEP` A name
`static PdfName` | `ZADB` A name
`static PdfName` | `ZAPFDINGBATS` A name of a base 14 type 1 font
`static PdfName` | `ZOOM` A name

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfName(byte[] bytes)` Constructs a PdfName.
`PdfName(String name)` Constructs a new `PdfName`.
`PdfName(String name, boolean lengthCheck)` Constructs a new `PdfName`.

Method Summary
`int` | `compareTo(Object object)` Compares this object with the specified object for order.
`static String` | `decodeName(String name)` Decodes an escaped name in the form "/AB#20CD" into "AB CD".
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this one.
`int` | `hashCode()` Returns a hash code value for the object.

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, toPdf, toString, type`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### A

    public static final PdfName A

  A name

### AA

    public static final PdfName AA

  A name

### ABSOLUTECALORIMETRIC

    public static final PdfName ABSOLUTECALORIMETRIC

  A name

### AC

    public static final PdfName AC

  A name

### ACROFORM

    public static final PdfName ACROFORM

  A name

### ACTION

    public static final PdfName ACTION

  A name

### ADBE_PKCS7_DETACHED

    public static final PdfName ADBE_PKCS7_DETACHED

  A name

### ADBE_PKCS7_S4

    public static final PdfName ADBE_PKCS7_S4

  A name

### ADBE_PKCS7_S5

    public static final PdfName ADBE_PKCS7_S5

  A name

### ADBE_PKCS7_SHA1

    public static final PdfName ADBE_PKCS7_SHA1

  A name

### ADBE_X509_RSA_SHA1

    public static final PdfName ADBE_X509_RSA_SHA1

  A name

### ADOBE_PPKLITE

    public static final PdfName ADOBE_PPKLITE

  A name

### ADOBE_PPKMS

    public static final PdfName ADOBE_PPKMS

  A name

### AESV2

    public static final PdfName AESV2

  A name

### AIS

    public static final PdfName AIS

  A name

### ALLPAGES

    public static final PdfName ALLPAGES

  A name

### ALT

    public static final PdfName ALT

  A name

### ALTERNATE

    public static final PdfName ALTERNATE

  A name

### ANNOT

    public static final PdfName ANNOT

  A name

### ANTIALIAS

    public static final PdfName ANTIALIAS

  A name

### ANNOTS

    public static final PdfName ANNOTS

  A name

### AP

    public static final PdfName AP

  A name

### APPDEFAULT

    public static final PdfName APPDEFAULT

  A name

### ARTBOX

    public static final PdfName ARTBOX

  A name

### ASCENT

    public static final PdfName ASCENT

  A name

### AS

    public static final PdfName AS

  A name

### ASCII85DECODE

    public static final PdfName ASCII85DECODE

  A name

### ASCIIHEXDECODE

    public static final PdfName ASCIIHEXDECODE

  A name

### AUTHEVENT

    public static final PdfName AUTHEVENT

  A name

### AUTHOR

    public static final PdfName AUTHOR

  A name

### B

    public static final PdfName B

  A name

### BASEENCODING

    public static final PdfName BASEENCODING

  A name

### BASEFONT

    public static final PdfName BASEFONT

  A name

### BBOX

    public static final PdfName BBOX

  A name

### BC

    public static final PdfName BC

  A name

### BG

    public static final PdfName BG

  A name

### BIGFIVE

    public static final PdfName BIGFIVE

  A name

### BITSPERCOMPONENT

    public static final PdfName BITSPERCOMPONENT

  A name

### BITSPERSAMPLE

    public static final PdfName BITSPERSAMPLE

  A name

### BL

    public static final PdfName BL

  A name

### BLACKIS1

    public static final PdfName BLACKIS1

  A name

### BLACKPOINT

    public static final PdfName BLACKPOINT

  A name

### BLEEDBOX

    public static final PdfName BLEEDBOX

  A name

### BLINDS

    public static final PdfName BLINDS

  A name

### BM

    public static final PdfName BM

  A name

### BORDER

    public static final PdfName BORDER

  A name

### BOUNDS

    public static final PdfName BOUNDS

  A name

### BOX

    public static final PdfName BOX

  A name

### BS

    public static final PdfName BS

  A name

### BTN

    public static final PdfName BTN

  A name

### BYTERANGE

    public static final PdfName BYTERANGE

  A name

### C

    public static final PdfName C

  A name

### C0

    public static final PdfName C0

  A name

### C1

    public static final PdfName C1

  A name

### CA

    public static final PdfName CA

  A name

### ca

    public static final PdfName ca

  A name

### CALGRAY

    public static final PdfName CALGRAY

  A name

### CALRGB

    public static final PdfName CALRGB

  A name

### CAPHEIGHT

    public static final PdfName CAPHEIGHT

  A name

### CATALOG

    public static final PdfName CATALOG

  A name

### CATEGORY

    public static final PdfName CATEGORY

  A name

### CCITTFAXDECODE

    public static final PdfName CCITTFAXDECODE

  A name

### CENTERWINDOW

    public static final PdfName CENTERWINDOW

  A name

### CERT

    public static final PdfName CERT

  A name

### CF

    public static final PdfName CF

  A name

### CFM

    public static final PdfName CFM

  A name

### CH

    public static final PdfName CH

  A name

### CHARPROCS

    public static final PdfName CHARPROCS

  A name

### CI

    public static final PdfName CI

  A name

### CIDFONTTYPE0

    public static final PdfName CIDFONTTYPE0

  A name

### CIDFONTTYPE2

    public static final PdfName CIDFONTTYPE2

  A name

### CIDSET

    public static final PdfName CIDSET

  A name

  Since:
    2.0.7

### CIDSYSTEMINFO

    public static final PdfName CIDSYSTEMINFO

  A name

### CIDTOGIDMAP

    public static final PdfName CIDTOGIDMAP

  A name

### CIRCLE

    public static final PdfName CIRCLE

  A name

### CO

    public static final PdfName CO

  A name

### COLORS

    public static final PdfName COLORS

  A name

### COLORSPACE

    public static final PdfName COLORSPACE

  A name

### COLLECTION

    public static final PdfName COLLECTION

  A name

### COLLECTIONFIELD

    public static final PdfName COLLECTIONFIELD

  A name

### COLLECTIONITEM

    public static final PdfName COLLECTIONITEM

  A name

### COLLECTIONSCHEMA

    public static final PdfName COLLECTIONSCHEMA

  A name

### COLLECTIONSORT

    public static final PdfName COLLECTIONSORT

  A name

### COLLECTIONSUBITEM

    public static final PdfName COLLECTIONSUBITEM

  A name

### COLUMNS

    public static final PdfName COLUMNS

  A name

### CONTACTINFO

    public static final PdfName CONTACTINFO

  A name

### CONTENT

    public static final PdfName CONTENT

  A name

### CONTENTS

    public static final PdfName CONTENTS

  A name

### COORDS

    public static final PdfName COORDS

  A name

### COUNT

    public static final PdfName COUNT

  A name

### COURIER

    public static final PdfName COURIER

  A name of a base 14 type 1 font

### COURIER_BOLD

    public static final PdfName COURIER_BOLD

  A name of a base 14 type 1 font

### COURIER_OBLIQUE

    public static final PdfName COURIER_OBLIQUE

  A name of a base 14 type 1 font

### COURIER_BOLDOBLIQUE

    public static final PdfName COURIER_BOLDOBLIQUE

  A name of a base 14 type 1 font

### CREATIONDATE

    public static final PdfName CREATIONDATE

  A name

### CREATOR

    public static final PdfName CREATOR

  A name

### CREATORINFO

    public static final PdfName CREATORINFO

  A name

### CROPBOX

    public static final PdfName CROPBOX

  A name

### CRYPT

    public static final PdfName CRYPT

  A name

### CS

    public static final PdfName CS

  A name

### D

    public static final PdfName D

  A name

### DA

    public static final PdfName DA

  A name

### DATA

    public static final PdfName DATA

  A name

### DC

    public static final PdfName DC

  A name

### DCTDECODE

    public static final PdfName DCTDECODE

  A name

### DECODE

    public static final PdfName DECODE

  A name

### DECODEPARMS

    public static final PdfName DECODEPARMS

  A name

### DEFAULTCRYPTFILER

    public static final PdfName DEFAULTCRYPTFILER

  A name

### DEFAULTCMYK

    public static final PdfName DEFAULTCMYK

  A name

### DEFAULTGRAY

    public static final PdfName DEFAULTGRAY

  A name

### DEFAULTRGB

    public static final PdfName DEFAULTRGB

  A name

### DESC

    public static final PdfName DESC

  A name

### DESCENDANTFONTS

    public static final PdfName DESCENDANTFONTS

  A name

### DESCENT

    public static final PdfName DESCENT

  A name

### DEST

    public static final PdfName DEST

  A name

### DESTOUTPUTPROFILE

    public static final PdfName DESTOUTPUTPROFILE

  A name

### DESTS

    public static final PdfName DESTS

  A name

### DEVICEGRAY

    public static final PdfName DEVICEGRAY

  A name

### DEVICERGB

    public static final PdfName DEVICERGB

  A name

### DEVICECMYK

    public static final PdfName DEVICECMYK

  A name

### DI

    public static final PdfName DI

  A name

### DIFFERENCES

    public static final PdfName DIFFERENCES

  A name

### DISSOLVE

    public static final PdfName DISSOLVE

  A name

### DIRECTION

    public static final PdfName DIRECTION

  A name

### DISPLAYDOCTITLE

    public static final PdfName DISPLAYDOCTITLE

  A name

### DIV

    public static final PdfName DIV

  A name

### DM

    public static final PdfName DM

  A name

### DOCMDP

    public static final PdfName DOCMDP

  A name

### DOCOPEN

    public static final PdfName DOCOPEN

  A name

### DOMAIN

    public static final PdfName DOMAIN

  A name

### DP

    public static final PdfName DP

  A name

### DR

    public static final PdfName DR

  A name

### DS

    public static final PdfName DS

  A name

### DUR

    public static final PdfName DUR

  A name

### DUPLEX

    public static final PdfName DUPLEX

  A name

### DUPLEXFLIPSHORTEDGE

    public static final PdfName DUPLEXFLIPSHORTEDGE

  A name

### DUPLEXFLIPLONGEDGE

    public static final PdfName DUPLEXFLIPLONGEDGE

  A name

### DV

    public static final PdfName DV

  A name

### DW

    public static final PdfName DW

  A name

### E

    public static final PdfName E

  A name

### EARLYCHANGE

    public static final PdfName EARLYCHANGE

  A name

### EF

    public static final PdfName EF

  A name

### EMBEDDEDFILE

    public static final PdfName EMBEDDEDFILE

  A name

### EMBEDDEDFILES

    public static final PdfName EMBEDDEDFILES

  A name

### ENCODE

    public static final PdfName ENCODE

  A name

### ENCODEDBYTEALIGN

    public static final PdfName ENCODEDBYTEALIGN

  A name

### ENCODING

    public static final PdfName ENCODING

  A name

### ENCRYPT

    public static final PdfName ENCRYPT

  A name

### ENCRYPTMETADATA

    public static final PdfName ENCRYPTMETADATA

  A name

### ENDOFBLOCK

    public static final PdfName ENDOFBLOCK

  A name

### ENDOFLINE

    public static final PdfName ENDOFLINE

  A name

### EXTEND

    public static final PdfName EXTEND

  A name

### EXTGSTATE

    public static final PdfName EXTGSTATE

  A name

### EXPORT

    public static final PdfName EXPORT

  A name

### EXPORTSTATE

    public static final PdfName EXPORTSTATE

  A name

### EVENT

    public static final PdfName EVENT

  A name

### F

    public static final PdfName F

  A name

### FB

    public static final PdfName FB

  A name

### FDECODEPARMS

    public static final PdfName FDECODEPARMS

  A name

### FDF

    public static final PdfName FDF

  A name

### FF

    public static final PdfName FF

  A name

### FFILTER

    public static final PdfName FFILTER

  A name

### FIELDS

    public static final PdfName FIELDS

  A name

### FILEATTACHMENT

    public static final PdfName FILEATTACHMENT

  A name

### FILESPEC

    public static final PdfName FILESPEC

  A name

### FILTER

    public static final PdfName FILTER

  A name

### FIRST

    public static final PdfName FIRST

  A name

### FIRSTCHAR

    public static final PdfName FIRSTCHAR

  A name

### FIRSTPAGE

    public static final PdfName FIRSTPAGE

  A name

### FIT

    public static final PdfName FIT

  A name

### FITH

    public static final PdfName FITH

  A name

### FITV

    public static final PdfName FITV

  A name

### FITR

    public static final PdfName FITR

  A name

### FITB

    public static final PdfName FITB

  A name

### FITBH

    public static final PdfName FITBH

  A name

### FITBV

    public static final PdfName FITBV

  A name

### FITWINDOW

    public static final PdfName FITWINDOW

  A name

### FLAGS

    public static final PdfName FLAGS

  A name

### FLATEDECODE

    public static final PdfName FLATEDECODE

  A name

### FO

    public static final PdfName FO

  A name

### FONT

    public static final PdfName FONT

  A name

### FONTBBOX

    public static final PdfName FONTBBOX

  A name

### FONTDESCRIPTOR

    public static final PdfName FONTDESCRIPTOR

  A name

### FONTFILE

    public static final PdfName FONTFILE

  A name

### FONTFILE2

    public static final PdfName FONTFILE2

  A name

### FONTFILE3

    public static final PdfName FONTFILE3

  A name

### FONTMATRIX

    public static final PdfName FONTMATRIX

  A name

### FONTNAME

    public static final PdfName FONTNAME

  A name

### FORM

    public static final PdfName FORM

  A name

### FORMTYPE

    public static final PdfName FORMTYPE

  A name

### FREETEXT

    public static final PdfName FREETEXT

  A name

### FRM

    public static final PdfName FRM

  A name

### FS

    public static final PdfName FS

  A name

### FT

    public static final PdfName FT

  A name

### FULLSCREEN

    public static final PdfName FULLSCREEN

  A name

### FUNCTION

    public static final PdfName FUNCTION

  A name

### FUNCTIONS

    public static final PdfName FUNCTIONS

  A name

### FUNCTIONTYPE

    public static final PdfName FUNCTIONTYPE

  A name

### GAMMA

    public static final PdfName GAMMA

  A name of an attribute.

### GBK

    public static final PdfName GBK

  A name of an attribute.

### GLITTER

    public static final PdfName GLITTER

  A name of an attribute.

### GOTO

    public static final PdfName GOTO

  A name of an attribute.

### GOTOE

    public static final PdfName GOTOE

  A name of an attribute.

### GOTOR

    public static final PdfName GOTOR

  A name of an attribute.

### GROUP

    public static final PdfName GROUP

  A name of an attribute.

### GTS_PDFA1

    public static final PdfName GTS_PDFA1

  A name of an attribute.

### GTS_PDFX

    public static final PdfName GTS_PDFX

  A name of an attribute.

### GTS_PDFXVERSION

    public static final PdfName GTS_PDFXVERSION

  A name of an attribute.

### H

    public static final PdfName H

  A name of an attribute.

### HEIGHT

    public static final PdfName HEIGHT

  A name of an attribute.

### HELV

    public static final PdfName HELV

  A name

### HELVETICA

    public static final PdfName HELVETICA

  A name of a base 14 type 1 font

### HELVETICA_BOLD

    public static final PdfName HELVETICA_BOLD

  A name of a base 14 type 1 font

### HELVETICA_OBLIQUE

    public static final PdfName HELVETICA_OBLIQUE

  This is a static PdfName PdfName of a base 14 type 1 font

### HELVETICA_BOLDOBLIQUE

    public static final PdfName HELVETICA_BOLDOBLIQUE

  This is a static PdfName PdfName of a base 14 type 1 font

### HID

    public static final PdfName HID

  A name

### HIDE

    public static final PdfName HIDE

  A name

### HIDEMENUBAR

    public static final PdfName HIDEMENUBAR

  A name

### HIDETOOLBAR

    public static final PdfName HIDETOOLBAR

  A name

### HIDEWINDOWUI

    public static final PdfName HIDEWINDOWUI

  A name

### HIGHLIGHT

    public static final PdfName HIGHLIGHT

  A name

### I

    public static final PdfName I

  A name

### ICCBASED

    public static final PdfName ICCBASED

  A name

### ID

    public static final PdfName ID

  A name

### IDENTITY

    public static final PdfName IDENTITY

  A name

### IF

    public static final PdfName IF

  A name

### IMAGE

    public static final PdfName IMAGE

  A name

### IMAGEB

    public static final PdfName IMAGEB

  A name

### IMAGEC

    public static final PdfName IMAGEC

  A name

### IMAGEI

    public static final PdfName IMAGEI

  A name

### IMAGEMASK

    public static final PdfName IMAGEMASK

  A name

### INDEX

    public static final PdfName INDEX

  A name

### INDEXED

    public static final PdfName INDEXED

  A name

### INFO

    public static final PdfName INFO

  A name

### INK

    public static final PdfName INK

  A name

### INKLIST

    public static final PdfName INKLIST

  A name

### IMPORTDATA

    public static final PdfName IMPORTDATA

  A name

### INTENT

    public static final PdfName INTENT

  A name

### INTERPOLATE

    public static final PdfName INTERPOLATE

  A name

### ISMAP

    public static final PdfName ISMAP

  A name

### IRT

    public static final PdfName IRT

  A name

### ITALICANGLE

    public static final PdfName ITALICANGLE

  A name

### IX

    public static final PdfName IX

  A name

### JAVASCRIPT

    public static final PdfName JAVASCRIPT

  A name

### JPXDECODE

    public static final PdfName JPXDECODE

  A name

### JS

    public static final PdfName JS

  A name

### K

    public static final PdfName K

  A name

### KEYWORDS

    public static final PdfName KEYWORDS

  A name

### KIDS

    public static final PdfName KIDS

  A name

### L

    public static final PdfName L

  A name

### L2R

    public static final PdfName L2R

  A name

### LANG

    public static final PdfName LANG

  A name

### LANGUAGE

    public static final PdfName LANGUAGE

  A name

### LAST

    public static final PdfName LAST

  A name

### LASTCHAR

    public static final PdfName LASTCHAR

  A name

### LASTPAGE

    public static final PdfName LASTPAGE

  A name

### LAUNCH

    public static final PdfName LAUNCH

  A name

### LENGTH

    public static final PdfName LENGTH

  A name

### LENGTH1

    public static final PdfName LENGTH1

  A name

### LIMITS

    public static final PdfName LIMITS

  A name

### LINE

    public static final PdfName LINE

  A name

### LINK

    public static final PdfName LINK

  A name

### LISTMODE

    public static final PdfName LISTMODE

  A name

### LOCATION

    public static final PdfName LOCATION

  A name

### LOCK

    public static final PdfName LOCK

  A name

### LZWDECODE

    public static final PdfName LZWDECODE

  A name

### M

    public static final PdfName M

  A name

### MATRIX

    public static final PdfName MATRIX

  A name

### MAC_EXPERT_ENCODING

    public static final PdfName MAC_EXPERT_ENCODING

  A name of an encoding

### MAC_ROMAN_ENCODING

    public static final PdfName MAC_ROMAN_ENCODING

  A name of an encoding

### MARKED

    public static final PdfName MARKED

  A name

### MARKINFO

    public static final PdfName MARKINFO

  A name

### MASK

    public static final PdfName MASK

  A name

### MAX

    public static final PdfName MAX

  A name

### MAXLEN

    public static final PdfName MAXLEN

  A name

### MEDIABOX

    public static final PdfName MEDIABOX

  A name

### MCID

    public static final PdfName MCID

  A name

### MCR

    public static final PdfName MCR

  A name

### METADATA

    public static final PdfName METADATA

  A name

### MIN

    public static final PdfName MIN

  A name

### MK

    public static final PdfName MK

  A name

### MMTYPE1

    public static final PdfName MMTYPE1

  A name

### MODDATE

    public static final PdfName MODDATE

  A name

### N

    public static final PdfName N

  A name

### N0

    public static final PdfName N0

  A name

### N1

    public static final PdfName N1

  A name

### N2

    public static final PdfName N2

  A name

### N3

    public static final PdfName N3

  A name

### N4

    public static final PdfName N4

  A name

### NAME

    public static final PdfName NAME

  A name

### NAMED

    public static final PdfName NAMED

  A name

### NAMES

    public static final PdfName NAMES

  A name

### NEEDAPPEARANCES

    public static final PdfName NEEDAPPEARANCES

  A name

### NEWWINDOW

    public static final PdfName NEWWINDOW

  A name

### NEXT

    public static final PdfName NEXT

  A name

### NEXTPAGE

    public static final PdfName NEXTPAGE

  A name

### NM

    public static final PdfName NM

  A name

### NONE

    public static final PdfName NONE

  A name

### NONFULLSCREENPAGEMODE

    public static final PdfName NONFULLSCREENPAGEMODE

  A name

### NUMCOPIES

    public static final PdfName NUMCOPIES

  A name

### NUMS

    public static final PdfName NUMS

  A name

### O

    public static final PdfName O

  A name

### OBJSTM

    public static final PdfName OBJSTM

  A name

### OC

    public static final PdfName OC

  A name

### OCG

    public static final PdfName OCG

  A name

### OCGS

    public static final PdfName OCGS

  A name

### OCMD

    public static final PdfName OCMD

  A name

### OCPROPERTIES

    public static final PdfName OCPROPERTIES

  A name

### Off

    public static final PdfName Off

  A name

### OFF

    public static final PdfName OFF

  A name

### ON

    public static final PdfName ON

  A name

### ONECOLUMN

    public static final PdfName ONECOLUMN

  A name

### OPEN

    public static final PdfName OPEN

  A name

### OPENACTION

    public static final PdfName OPENACTION

  A name

### OP

    public static final PdfName OP

  A name

### op

    public static final PdfName op

  A name

### OPM

    public static final PdfName OPM

  A name

### OPT

    public static final PdfName OPT

  A name

### ORDER

    public static final PdfName ORDER

  A name

### ORDERING

    public static final PdfName ORDERING

  A name

### OUTLINES

    public static final PdfName OUTLINES

  A name

### OUTPUTCONDITION

    public static final PdfName OUTPUTCONDITION

  A name

### OUTPUTCONDITIONIDENTIFIER

    public static final PdfName OUTPUTCONDITIONIDENTIFIER

  A name

### OUTPUTINTENT

    public static final PdfName OUTPUTINTENT

  A name

### OUTPUTINTENTS

    public static final PdfName OUTPUTINTENTS

  A name

### P

    public static final PdfName P

  A name

### PAGE

    public static final PdfName PAGE

  A name

### PAGELABELS

    public static final PdfName PAGELABELS

  A name

### PAGELAYOUT

    public static final PdfName PAGELAYOUT

  A name

### PAGEMODE

    public static final PdfName PAGEMODE

  A name

### PAGES

    public static final PdfName PAGES

  A name

### PAINTTYPE

    public static final PdfName PAINTTYPE

  A name

### PANOSE

    public static final PdfName PANOSE

  A name

### PARAMS

    public static final PdfName PARAMS

  A name

### PARENT

    public static final PdfName PARENT

  A name

### PARENTTREE

    public static final PdfName PARENTTREE

  A name

### PATTERN

    public static final PdfName PATTERN

  A name

### PATTERNTYPE

    public static final PdfName PATTERNTYPE

  A name

### PDF

    public static final PdfName PDF

  A name

### PDFDOCENCODING

    public static final PdfName PDFDOCENCODING

  A name

### PERCEPTUAL

    public static final PdfName PERCEPTUAL

  A name

### PERMS

    public static final PdfName PERMS

  A name

### PG

    public static final PdfName PG

  A name

### PICKTRAYBYPDFSIZE

    public static final PdfName PICKTRAYBYPDFSIZE

  A name

### POPUP

    public static final PdfName POPUP

  A name

### PREDICTOR

    public static final PdfName PREDICTOR

  A name

### PREFERRED

    public static final PdfName PREFERRED

  A name

### PRESERVERB

    public static final PdfName PRESERVERB

  A name

### PREV

    public static final PdfName PREV

  A name

### PREVPAGE

    public static final PdfName PREVPAGE

  A name

### PRINT

    public static final PdfName PRINT

  A name

### PRINTAREA

    public static final PdfName PRINTAREA

  A name

### PRINTCLIP

    public static final PdfName PRINTCLIP

  A name

### PRINTPAGERANGE

    public static final PdfName PRINTPAGERANGE

  A name

### PRINTSCALING

    public static final PdfName PRINTSCALING

  A name

### PRINTSTATE

    public static final PdfName PRINTSTATE

  A name

### PROCSET

    public static final PdfName PROCSET

  A name

### PRODUCER

    public static final PdfName PRODUCER

  A name

### PROPERTIES

    public static final PdfName PROPERTIES

  A name

### PS

    public static final PdfName PS

  A name

### PUBSEC

    public static final PdfName PUBSEC

  A name

### Q

    public static final PdfName Q

  A name

### QUADPOINTS

    public static final PdfName QUADPOINTS

  A name

### R

    public static final PdfName R

  A name

### R2L

    public static final PdfName R2L

  A name

### RANGE

    public static final PdfName RANGE

  A name

### RC

    public static final PdfName RC

  A name

### RBGROUPS

    public static final PdfName RBGROUPS

  A name

### REASON

    public static final PdfName REASON

  A name

### RECIPIENTS

    public static final PdfName RECIPIENTS

  A name

### RECT

    public static final PdfName RECT

  A name

### REFERENCE

    public static final PdfName REFERENCE

  A name

### REGISTRY

    public static final PdfName REGISTRY

  A name

### REGISTRYNAME

    public static final PdfName REGISTRYNAME

  A name

### RELATIVECALORIMETRIC

    public static final PdfName RELATIVECALORIMETRIC

  A name

### RENDITION

    public static final PdfName RENDITION

  A name

### RESETFORM

    public static final PdfName RESETFORM

  A name

### RESOURCES

    public static final PdfName RESOURCES

  A name

### RI

    public static final PdfName RI

  A name

### ROLEMAP

    public static final PdfName ROLEMAP

  A name

### ROOT

    public static final PdfName ROOT

  A name

### ROTATE

    public static final PdfName ROTATE

  A name

### ROWS

    public static final PdfName ROWS

  A name

### RUNLENGTHDECODE

    public static final PdfName RUNLENGTHDECODE

  A name

### RV

    public static final PdfName RV

  A name

### S

    public static final PdfName S

  A name

### SATURATION

    public static final PdfName SATURATION

  A name

### SCHEMA

    public static final PdfName SCHEMA

  A name

### SCREEN

    public static final PdfName SCREEN

  A name

### SECT

    public static final PdfName SECT

  A name

### SEPARATION

    public static final PdfName SEPARATION

  A name

### SETOCGSTATE

    public static final PdfName SETOCGSTATE

  A name

### SHADING

    public static final PdfName SHADING

  A name

### SHADINGTYPE

    public static final PdfName SHADINGTYPE

  A name

### SHIFT_JIS

    public static final PdfName SHIFT_JIS

  A name

### SIG

    public static final PdfName SIG

  A name

### SIGFLAGS

    public static final PdfName SIGFLAGS

  A name

### SIGREF

    public static final PdfName SIGREF

  A name

### SIMPLEX

    public static final PdfName SIMPLEX

  A name

### SINGLEPAGE

    public static final PdfName SINGLEPAGE

  A name

### SIZE

    public static final PdfName SIZE

  A name

### SMASK

    public static final PdfName SMASK

  A name

### SORT

    public static final PdfName SORT

  A name

### SPAN

    public static final PdfName SPAN

  A name

### SPLIT

    public static final PdfName SPLIT

  A name

### SQUARE

    public static final PdfName SQUARE

  A name

### ST

    public static final PdfName ST

  A name

### STAMP

    public static final PdfName STAMP

  A name

### STANDARD

    public static final PdfName STANDARD

  A name

### STATE

    public static final PdfName STATE

  A name

### STDCF

    public static final PdfName STDCF

  A name

### STEMV

    public static final PdfName STEMV

  A name

### STMF

    public static final PdfName STMF

  A name

### STRF

    public static final PdfName STRF

  A name

### STRIKEOUT

    public static final PdfName STRIKEOUT

  A name

### STRUCTPARENT

    public static final PdfName STRUCTPARENT

  A name

### STRUCTPARENTS

    public static final PdfName STRUCTPARENTS

  A name

### STRUCTTREEROOT

    public static final PdfName STRUCTTREEROOT

  A name

### STYLE

    public static final PdfName STYLE

  A name

### SUBFILTER

    public static final PdfName SUBFILTER

  A name

### SUBJECT

    public static final PdfName SUBJECT

  A name

### SUBMITFORM

    public static final PdfName SUBMITFORM

  A name

### SUBTYPE

    public static final PdfName SUBTYPE

  A name

### SUPPLEMENT

    public static final PdfName SUPPLEMENT

  A name

### SV

    public static final PdfName SV

  A name

### SW

    public static final PdfName SW

  A name

### SYMBOL

    public static final PdfName SYMBOL

  A name of a base 14 type 1 font

### T

    public static final PdfName T

  A name

### TEXT

    public static final PdfName TEXT

  A name

### THUMB

    public static final PdfName THUMB

  A name

### THREADS

    public static final PdfName THREADS

  A name

### TI

    public static final PdfName TI

  A name

### TILINGTYPE

    public static final PdfName TILINGTYPE

  A name

### TIMES_ROMAN

    public static final PdfName TIMES_ROMAN

  A name of a base 14 type 1 font

### TIMES_BOLD

    public static final PdfName TIMES_BOLD

  A name of a base 14 type 1 font

### TIMES_ITALIC

    public static final PdfName TIMES_ITALIC

  A name of a base 14 type 1 font

### TIMES_BOLDITALIC

    public static final PdfName TIMES_BOLDITALIC

  A name of a base 14 type 1 font

### TITLE

    public static final PdfName TITLE

  A name

### TK

    public static final PdfName TK

  A name

### TM

    public static final PdfName TM

  A name

### TOGGLE

    public static final PdfName TOGGLE

  A name

### TOUNICODE

    public static final PdfName TOUNICODE

  A name

### TP

    public static final PdfName TP

  A name

### TRANS

    public static final PdfName TRANS

  A name

### TRANSFORMPARAMS

    public static final PdfName TRANSFORMPARAMS

  A name

### TRANSFORMMETHOD

    public static final PdfName TRANSFORMMETHOD

  A name

### TRANSPARENCY

    public static final PdfName TRANSPARENCY

  A name

### TRAPPED

    public static final PdfName TRAPPED

  A name

### TRIMBOX

    public static final PdfName TRIMBOX

  A name

### TRUETYPE

    public static final PdfName TRUETYPE

  A name

### TU

    public static final PdfName TU

  A name

### TWOCOLUMNLEFT

    public static final PdfName TWOCOLUMNLEFT

  A name

### TWOCOLUMNRIGHT

    public static final PdfName TWOCOLUMNRIGHT

  A name

### TWOPAGELEFT

    public static final PdfName TWOPAGELEFT

  A name

### TWOPAGERIGHT

    public static final PdfName TWOPAGERIGHT

  A name

### TX

    public static final PdfName TX

  A name

### TYPE

    public static final PdfName TYPE

  A name

### TYPE0

    public static final PdfName TYPE0

  A name

### TYPE1

    public static final PdfName TYPE1

  A name

### TYPE3

    public static final PdfName TYPE3

  A name of an attribute.

### U

    public static final PdfName U

  A name of an attribute.

### UF

    public static final PdfName UF

  A name of an attribute.

### UHC

    public static final PdfName UHC

  A name of an attribute.

### UNDERLINE

    public static final PdfName UNDERLINE

  A name of an attribute.

### UR

    public static final PdfName UR

  A name

### UR3

    public static final PdfName UR3

  A name

### URI

    public static final PdfName URI

  A name

### URL

    public static final PdfName URL

  A name

### USAGE

    public static final PdfName USAGE

  A name

### USEATTACHMENTS

    public static final PdfName USEATTACHMENTS

  A name

### USENONE

    public static final PdfName USENONE

  A name

### USEOC

    public static final PdfName USEOC

  A name

### USEOUTLINES

    public static final PdfName USEOUTLINES

  A name

### USER

    public static final PdfName USER

  A name

### USERPROPERTIES

    public static final PdfName USERPROPERTIES

  A name

### USERUNIT

    public static final PdfName USERUNIT

  A name

### USETHUMBS

    public static final PdfName USETHUMBS

  A name

### V

    public static final PdfName V

  A name

### V2

    public static final PdfName V2

  A name

### VERISIGN_PPKVS

    public static final PdfName VERISIGN_PPKVS

  A name

### VERSION

    public static final PdfName VERSION

  A name

### VIEW

    public static final PdfName VIEW

  A name

### VIEWAREA

    public static final PdfName VIEWAREA

  A name

### VIEWCLIP

    public static final PdfName VIEWCLIP

  A name

### VIEWERPREFERENCES

    public static final PdfName VIEWERPREFERENCES

  A name

### VIEWSTATE

    public static final PdfName VIEWSTATE

  A name

### VISIBLEPAGES

    public static final PdfName VISIBLEPAGES

  A name

### W

    public static final PdfName W

  A name of an attribute.

### W2

    public static final PdfName W2

  A name of an attribute.

### WC

    public static final PdfName WC

  A name of an attribute.

### WIDGET

    public static final PdfName WIDGET

  A name of an attribute.

### WIDTH

    public static final PdfName WIDTH

  A name of an attribute.

### WIDTHS

    public static final PdfName WIDTHS

  A name

### WIN

    public static final PdfName WIN

  A name of an encoding

### WIN_ANSI_ENCODING

    public static final PdfName WIN_ANSI_ENCODING

  A name of an encoding

### WIPE

    public static final PdfName WIPE

  A name of an encoding

### WHITEPOINT

    public static final PdfName WHITEPOINT

  A name

### WP

    public static final PdfName WP

  A name

### WS

    public static final PdfName WS

  A name of an encoding

### X

    public static final PdfName X

  A name

### XFA

    public static final PdfName XFA

  A name

### XML

    public static final PdfName XML

  A name

### XOBJECT

    public static final PdfName XOBJECT

  A name

### XSTEP

    public static final PdfName XSTEP

  A name

### XREF

    public static final PdfName XREF

  A name

### XREFSTM

    public static final PdfName XREFSTM

  A name

### XYZ

    public static final PdfName XYZ

  A name

### YSTEP

    public static final PdfName YSTEP

  A name

### ZADB

    public static final PdfName ZADB

  A name

### ZAPFDINGBATS

    public static final PdfName ZAPFDINGBATS

  A name of a base 14 type 1 font

### ZOOM

    public static final PdfName ZOOM

  A name

### hash

    private int hash

Constructor Detail

### PdfName

    public PdfName(String name)

  Constructs a new `PdfName`. The name length will be checked.

  Parameters:
    `name` - the new name

### PdfName

    public PdfName(String name,
                   boolean lengthCheck)

  Constructs a new `PdfName`.

  Parameters:
    `name` - the new name
    `lengthCheck` - if `true` check the lenght validity, if `false` the name can have any length

### PdfName

    public PdfName(byte[] bytes)

  Constructs a PdfName.

  Parameters:
    `bytes` - the byte representation of the name

Method Detail

### compareTo

    public int compareTo(Object object)

  Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `object` - the Object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Throws:
    `ClassCastException` - if the specified object's type prevents it from being compared to this Object.

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.

### decodeName

    public static String decodeName(String name)

  Decodes an escaped name in the form "/AB#20CD" into "AB CD".

  Parameters:
    `name` - the name to decode
  Returns:
    the decoded name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD